RegistrationResponse
Acknowledges a registration by the ids and hashes of what it created, plus a sign-in challenge.
Shape
object
19 fields
committedCoreMetadataUpdateIdslist of stringrequired- each item: lowercase UUID v4
Ids of the seeded metadata updates the server committed with the provisioning.
committedProfileUpdateIdslist of stringrequired- each item: lowercase UUID v4
Ids of the seeded profile updates the server committed with the provisioning.
organizationIdstringrequiredorganizationMetadataContainerIdstringrequiredorganizationProfileDocumentIdstringoptionalrootContainerIdstringrequiredrootMetadataAccessEpochnumberrequiredAccess epoch of the root container's metadata document.
rootMetadataAccessStateHashstringrequired- not empty
Access state hash of the root container's metadata document.
rootMetadataDocumentIdstringrequiredrosterProfileContainerIdstringoptionalrosterProfileDocumentIdstringoptionaluserIdstringrequiredchallengestringrequired- exactly 64 characters
- lowercase hexadecimal
Sign-in challenge to sign and send to
POST /auth/verify, so the new identity can sign in without another request.
Other fields are allowed.